LoginSignup
4

More than 5 years have passed since last update.

posted at

updated at

dockerをバージョンアップする (Docker Toolbox)

docker-compose を実行しようとすると、

Unsupported config option for services service: 'main'

と出て悩んだのだけど、どうやらdockerのバージョンが古いせいらしい。

$ docker --version
Docker version 1.8.2, build 0a8c2e3
$ docker-compose --version
docker-compose version: 1.4.2
$ docker-machine --version
docker-machine version 0.4.1 (e2c88d6)

のでバージョンアップする。

記憶にないけど、現在インストールされているものはどうやら DockerToolbox-1.8.2c.pkg でインストールしたようなので、最新のDocker Toolboxをダウンロードして実行する。(DockerToolbox-1.12.6.pkg)
https://www.docker.com/products/docker-toolbox

$ docker --version
Docker version 1.12.6, build 78d1802
$ docker-compose --version
docker-compose version 1.9.0, build 2585387
$ docker-machine --version
docker-machine version 0.8.2, build e18a919

バージョンアップされました。:smiley:

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
What you can do with signing up
4